Kwalitee Issues

extracts_nicely

Pack the distribution with a proper command such as "make dist" and "./Build dist", or use a distribution builder such as Dist::Zilla, Dist::Milla, Minilla.

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

package_version_matches_dist_version

Fix the version(s).

prereq_matches_use

List all used modules in META.yml requires

Error:

  • RingBuffer

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: BT368i, BT368i::NMEA::GP::GGA, BT368i::NMEA::GP::GLL, BT368i::NMEA::GP::GSA, BT368i::NMEA::GP::GSV, BT368i::NMEA::GP::RMC, BT368i::NMEA::GP::VTG, BT368i::Serial

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Test::More

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
BT368i Perl interface to BT368i equipment that output data on a bluetooth serial port. 1.00 metacpan
BT368i::NMEA::GP::GGA The GGA sentance 1.00 metacpan
BT368i::NMEA::GP::GLL The GLL sentance 1.00 metacpan
BT368i::NMEA::GP::GSA The GSA sentance 1.00 metacpan
BT368i::NMEA::GP::GSV The GSV sentance 1.00 metacpan
BT368i::NMEA::GP::RMC The RMC sentance 1.00 metacpan
BT368i::NMEA::GP::VTG The VTG sentance 1.00 metacpan
BT368i::Serial Access to the serial port for the BT368i::* modules 1.00 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
Makefile.PL metacpan
README metacpan